org.springframework.messaging.simp

## Interface SimpMessageSendingOperations

- All Superinterfaces:
    MessageSendingOperations<String>
  All Known Implementing Classes:
    SimpMessagingTemplate

      public interface SimpMessageSendingOperations
      extends MessageSendingOperations<String>

  A specialization of `MessageSendingOperations` with methods for use with the Spring Framework support for simple messaging protocols (like STOMP).
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convertAndSendToUser(String user, String destination, Object payload)` Send a message to a specific user.
    `void` | `convertAndSendToUser(String user, String destination, Object payload, Map<String,Object> headers)` Send a message to a specific user.
    `void` | `convertAndSendToUser(String user, String destination, Object payload, Map<String,Object> headers, MessagePostProcessor postProcessor)` Send a message to a specific user.
    `void` | `convertAndSendToUser(String user, String destination, Object payload, MessagePostProcessor postProcessor)` Send a message to a specific user.

    - ### Methods inherited from interface org.springframework.messaging.core.MessageSendingOperations

      `convertAndSend, convertAndSend, convertAndSend, convertAndSend, convertAndSend, convertAndSend, send, send`

- - ### Method Detail

    - #### convertAndSendToUser

          void convertAndSendToUser(String user,
                                    String destination,
                                    Object payload)
                             throws MessagingException

      Send a message to a specific user.
      Parameters:
        `user` - the user that should receive the message.
        `destination` - the destination to send the message to.
        `payload` - the payload to send
      Throws:
        `MessagingException`

    - #### convertAndSendToUser

          void convertAndSendToUser(String user,
                                    String destination,
                                    Object payload,
                                    Map<String,Object> headers)
                             throws MessagingException

      Send a message to a specific user.
      Parameters:
        `user` - the user that should receive the message.
        `destination` - the destination to send the message to.
        `payload` - the payload to send
        `headers` - the message headers
      Throws:
        `MessagingException`

    - #### convertAndSendToUser

          void convertAndSendToUser(String user,
                                    String destination,
                                    Object payload,
                                    MessagePostProcessor postProcessor)
                             throws MessagingException

      Send a message to a specific user.
      Parameters:
        `user` - the user that should receive the message.
        `destination` - the destination to send the message to.
        `payload` - the payload to send
        `postProcessor` - a postProcessor to post-process or modify the created message
      Throws:
        `MessagingException`

    - #### convertAndSendToUser

          void convertAndSendToUser(String user,
                                    String destination,
                                    Object payload,
                                    Map<String,Object> headers,
                                    MessagePostProcessor postProcessor)
                             throws MessagingException

      Send a message to a specific user.
      Parameters:
        `user` - the user that should receive the message.
        `destination` - the destination to send the message to.
        `payload` - the payload to send
        `headers` - the message headers
        `postProcessor` - a postProcessor to post-process or modify the created message
      Throws:
        `MessagingException`